Magick++ 6.9.6

Public Member Functions | Protected Member Functions | List of all members
Magick::ColorRGB Class Reference

`#include <Color.h>`

Inheritance diagram for Magick::ColorRGB:
[legend]
Collaboration diagram for Magick::ColorRGB:
[legend]

## Public Member Functions
| ColorRGB (void)
| ColorRGB (const Color &color_)
| ColorRGB (double red_, double green_, double blue_)
| ~ColorRGB (void)
ColorRGB & | operator= (const Color &color_)
void | blue (double blue_)
double | blue (void) const
void | green (double green_)
double | green (void) const
void | red (double red_)
double | red (void) const
Public Member Functions inherited from Magick::Color
| Color (void)
| Color (Magick::Quantum red_, Magick::Quantum green_, Magick::Quantum blue_)
| Color (Magick::Quantum red_, Magick::Quantum green_, Magick::Quantum blue_, Magick::Quantum alpha_)
| Color (const char *x11color_)
| Color (const Color &color_)
| Color (const PixelPacket &color_)
| Color (const std::string &x11color_)
virtual | ~Color (void)
Color & | operator= (const Color &color_)
const Color & | operator= (const char *x11color)
const Color & | operator= (const std::string &x11color_)
const Color & | operator= (const PixelPacket &color_)
| operator PixelPacket () const
| operator std::string () const
void | alpha (double alpha_)
double | alpha (void) const
void | alphaQuantum (Quantum alpha_)
Quantum | alphaQuantum (void) const
void | blueQuantum (Quantum blue_)
Quantum | blueQuantum (void) const
void | greenQuantum (Quantum green_)
Quantum | greenQuantum (void) const
void | isValid (bool valid_)
bool | isValid (void) const
void | redQuantum (Quantum red_)
Quantum | redQuantum (void) const
double | intensity (void) const

## Protected Member Functions
| ColorRGB (PixelPacket *rep_, PixelType pixelType_)
Protected Member Functions inherited from Magick::Color
| Color (PixelPacket *rep_, PixelType pixelType_)
void | pixel (PixelPacket *rep_, PixelType pixelType_)

## Additional Inherited Members
Static Public Member Functions inherited from Magick::Color
static Quantum | scaleDoubleToQuantum (const double double_)
static double | scaleQuantumToDouble (const Quantum quantum_)
Protected Types inherited from Magick::Color
enum | PixelType { RGBPixel, RGBAPixel, CYMKPixel }
Protected Attributes inherited from Magick::Color
PixelPacket * | _pixel

## Detailed Description

Definition at line 292 of file Color.h.

## Constructor & Destructor Documentation

Magick::ColorRGB::ColorRGB | ( | void |  | ) |

Definition at line 518 of file Color.cpp.

Magick::ColorRGB::ColorRGB | ( | const Color & | color_ | ) |

Definition at line 523 of file Color.cpp.

Magick::ColorRGB::ColorRGB | ( | double | red_,
|  | double | green_,
|  | double | blue_
| ) |  |

Definition at line 528 of file Color.cpp.

References Magick::Color::alphaQuantum().

Magick::ColorRGB::~ColorRGB | ( | void |  | ) |

Definition at line 535 of file Color.cpp.

Magick::ColorRGB::ColorRGB | ( | Magick::PixelPacket * | rep_,
|  | PixelType | pixelType_
| ) |  |
| inline protected

Definition at line 478 of file Color.h.

## Member Function Documentation

void Magick::ColorRGB::blue | ( | double | blue_ | ) |
| inline

Definition at line 484 of file Color.h.

double Magick::ColorRGB::blue | ( | void |  | ) | const
| inline

Definition at line 489 of file Color.h.

void Magick::ColorRGB::green | ( | double | green_ | ) |
| inline

Definition at line 494 of file Color.h.

double Magick::ColorRGB::green | ( | void |  | ) | const
| inline

Definition at line 499 of file Color.h.

Magick::ColorRGB & Magick::ColorRGB::operator= | ( | const Color & | color_ | ) |

Definition at line 539 of file Color.cpp.

void Magick::ColorRGB::red | ( | double | red_ | ) |
| inline

Definition at line 504 of file Color.h.

double Magick::ColorRGB::red | ( | void |  | ) | const
| inline

Definition at line 509 of file Color.h.

The documentation for this class was generated from the following files:

- Color.h
- Color.cpp